debian,RPM: package with PFCP support

- depend on libosmo-pfcp
- configure --enable-pfcp

Related: SYS#5895
Change-Id: I54dfe600d45541fecbb4c05bf75f147934c230f0
changes/02/29002/11
Neels Hofmeyr 4 months ago committed by neels
parent 791babf40e
commit b08b19c990
  1. 4
      contrib/osmo-hnbgw.spec.in
  2. 1
      debian/control
  3. 1
      debian/rules

@ -45,6 +45,7 @@ BuildRequires: pkgconfig(libosmovty) >= 1.7.0
BuildRequires: pkgconfig(libosmo-hnbap) >= 1.3.0
BuildRequires: pkgconfig(libosmo-ranap) >= 1.3.0
BuildRequires: pkgconfig(libosmo-rua) >= 1.3.0
BuildRequires: pkgconfig(libosmo-pfcp) >= 0.1.0
BuildRequires: pkgconfig(talloc)
BuildRequires: pkgconfig(libasn1c) >= 0.9.30
%{?systemd_requires}
@ -60,7 +61,8 @@ echo "%{version}" >.tarball-version
autoreconf -fi
%configure \
--docdir=%{_docdir}/%{name} \
--with-systemdsystemunitdir=%{_unitdir}
--with-systemdsystemunitdir=%{_unitdir} \
--enable-pfcp
make %{?_smp_mflags}
%install

1
debian/control vendored

@ -21,6 +21,7 @@ Build-Depends: debhelper (>=9),
libosmo-hnbap-dev (>= 1.3.0),
libosmo-ranap-dev (>= 1.3.0),
libosmo-rua-dev (>= 1.3.0),
libosmo-pfcp-dev (>= 0.1.0),
osmo-gsm-manuals-dev (>= 1.3.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-hnbgw

1
debian/rules vendored

@ -46,6 +46,7 @@
# debmake generated override targets
CONFIGURE_FLAGS += --with-systemdsystemunitdir=/lib/systemd/system --enable-manuals
CONFIGURE_FLAGS += --enable-pfcp
override_dh_auto_configure:
dh_auto_configure -- $(CONFIGURE_FLAGS)
#

Loading…
Cancel
Save